﻿using Cef3Test.Browser;
using Xilium.CefGlue;

namespace Cef3Test.Handlers
{
	public class LoadHandler : CefLoadHandler
	{
		private WebBrowserCore _core;

		public LoadHandler(WebBrowserCore core)
		{
			_core = core;
		}
		
		protected override void OnLoadEnd(CefBrowser browser, CefFrame frame, int httpStatusCode)
		{
			if (frame.IsMain)
			{
				_core.OnLoaded();
			}

			base.OnLoadEnd(browser, frame, httpStatusCode);
		}
	}
}
