﻿using System;
using Cef3Test.Handlers;
using Xilium.CefGlue;

namespace Cef3Test
{
	public class CefMainApp : CefApp
	{
		private CefRenderProcessHandler renderProcessHandler = new RenderProcessHandler();

		protected override void OnBeforeCommandLineProcessing(string processType, CefCommandLine commandLine)
		{
			commandLine.AppendSwitch("disable-xss-auditor");
			commandLine.AppendSwitch("disable-web-security");
			commandLine.AppendSwitch("remote-debugging-port", "9999");

			Console.WriteLine("OnBeforeCommandLineProcessing: {0} {1}", processType, commandLine);
		}

		protected override CefRenderProcessHandler GetRenderProcessHandler()
		{
			return renderProcessHandler;
		}
	}
}
