﻿using Cef3Test.Browser;
using Xilium.CefGlue;

namespace Cef3Test.Handlers
{
	internal sealed class BrowserLifeSpanHandler : CefLifeSpanHandler
	{
		private readonly WebBrowserCore _core;

		public BrowserLifeSpanHandler(WebBrowserCore core)
		{
			_core = core;
		}

		protected override void OnAfterCreated(CefBrowser browser)
		{
			_core.OnCreated(browser);

			base.OnAfterCreated(browser);
		}

		protected override bool DoClose(CefBrowser browser)
		{
			// TODO: dispose core
			return false;
		}
	}
}
