﻿using Xilium.CefGlue;

namespace Cef3Test.Handlers
{
	public class HelloV8Handler : CefV8Handler
	{
		protected override bool Execute(string name, CefV8Value obj, CefV8Value[] arguments, out CefV8Value returnValue, out string exception)
		{
			if (name == "world")
			{
				returnValue = CefV8Value.CreateString("test");
				exception = "";
				return true;
			}

			returnValue = CefV8Value.CreateUndefined();
			exception = "undefined method";
			return false;
		}
	}
}
